import {NextPage} from 'next'
import {useRef} from 'react'
import CreateRingtoneTemplate from '../../../../components/templates/CreateRingtone'
import RingtoneClient from '../../../../modules/ringtone/client'

type Props = {}

const MyCreateRingtonePage: NextPage<Props> = () => {
	const ringtoneClient = useRef(new RingtoneClient())
	return (
		<CreateRingtoneTemplate
			onSubmit={ringtoneClient.current.save}
		/>
	)
}

export default MyCreateRingtonePage
